JFLAGS = -g
JC = javac
JDOC = javadoc
JVM = java  
.SUFFIXES: .java .class
.java.class:
	javac $*.java

CLASSES = 	\
        Buscador.java \
	Ordenador.java \
	Persona.java \
	BubbleSorter.java \
	LinearSearcher.java \
	BinarySearcher.java \
	Estudiante.java \
	InsertionSorter.java \
	JDialogAbout.java \
	JFrameTarea2.java \
	JListMutable.java \
	Tarea1.java \
	Tarea2.java \



MAIN = Tarea2 

default: classes

classes: $(CLASSES:.java=.class)



run: 
	$(JVM) $(MAIN)

doc:
	$(JDOC) -d ./docs *.java

remover:
	$(RM) *.class
